Loading...
Searching...
No Matches
seqan3::structure_file_input_default_traits_aa Struct Reference
IO » Structure File

A traits type that specifies input as amino acids. More...

`#include <seqan3/io/structure_file/input.hpp>`

Inheritance diagram for seqan3::structure_file_input_default_traits_aa:
[legend]

## Public Types

Member types
Definitions to satisfy seqan3::structure_file_input_traits.
using | seq_alphabet = aa27
| The sequence alphabet is seqan3::aa27.
using | seq_legal_alphabet = aa27
| The legal sequence alphabet for parsing is seqan3::aa27.
using | structure_alphabet = dssp9
| The structure annotation alphabet is seqan3::dssp9.
template<typename _seq_alphabet, typename _structure_alphabet>
using | structured_seq_alphabet = structured_aa<_seq_alphabet, _structure_alphabet>
| The combined structured sequence alphabet is seqan3::structured_aa<seqan3::aa27, seqan3::dssp9>.
Public Types inherited from seqan3::structure_file_input_default_traits_rna
using | seq_alphabet = rna5
| The sequence alphabet is seqan3::rna5.
using | seq_legal_alphabet = rna15
| The legal sequence alphabet for parsing is seqan3::rna15.
template<typename _seq_alphabet>
using | seq_container = std::vector<_seq_alphabet>
| The type of an RNA sequence is std::vector.
using | id_alphabet = char
| The alphabet for an identifier string is char.
template<typename _id_alphabet>
using | id_container = std::basic_string<_id_alphabet>
| The string type for an identifier is std::basic_string.
using | bpp_prob = double
| The type for a base pair probability is double.
using | bpp_partner = size_t
| The type for the partner position of a base pair probability is size_t.
template<typename _bpp_prob, typename _bpp_partner>
using | bpp_item = std::pair<_bpp_prob, _bpp_partner>
| The type of a base pair item is std::pair<double, size_t>.
template<typename _bpp_item>
using | bpp_queue = std::set<_bpp_item>
| A queue of base pair items sorted by probability is realised with std::set.
template<typename _bpp_queue>
using | bpp_container = std::vector<_bpp_queue>
| A string over all bases containing the respective interaction queues is represented as std::vector.
using | structure_alphabet = wuss51
| The alphabet for a structure annotation is seqan3::phred42.
template<typename _structure_alphabet>
using | structure_container = std::vector<_structure_alphabet>
| The string type for a structure annotation is std::vector.
template<typename _seq_alphabet, typename _structure_alphabet>
using | structured_seq_alphabet = structured_rna<_seq_alphabet, _structure_alphabet>
| The combined structured sequence alphabet is seqan3::structured_rna<seqan3::rna5, seqan3::wuss51>.
template<typename _structured_seq_alphabet>
using | structured_seq_container = std::vector<_structured_seq_alphabet>
| The type of a structured RNA sequence is std::vector.
using | energy_type = std::optional<double>
| The type of the energy is std::optional<double>.
using | react_type = double
| The type of the reactivity and reactivity error is double.
template<typename _react_type>
using | react_container = std::vector<_react_type>
| The type of a string of reactivity values is std::vector.
using | comment_alphabet = char
| The alphabet for a comment string is char.
template<typename _comment_alphabet>
using | comment_container = std::basic_string<_comment_alphabet>
| The string type for a comment is std::basic_string.
using | offset_type = size_t
| The type of the offset is size_t.

## Additional Inherited Members

Related Symbols inherited from structure_file_input_traits
using | seq_alphabet
| Alphabet of the characters for the seqan3::field::seq; must satisfy seqan3::alphabet.
using | seq_legal_alphabet
| Intermediate alphabet for seqan3::field::seq; must satisfy seqan3::alphabet and be convertible to seq_alphabet.
using | seq_container
| Type template of the seqan3::field::seq, a container template over seq_alphabet; must satisfy seqan3::sequence_container.
using | id_alphabet
| Alphabet of the characters for the seqan3::field::id; must satisfy seqan3::alphabet.
using | id_container
| Type template of the seqan3::field::id, a container template over id_alphabet; must satisfy seqan3::sequence_container.
using | bpp_prob
| Data type for the base pair probabilities in seqan3::field::bpp; must satisfy std::is_floating_point.
using | bpp_partner
| Data type for the partner index of an interaction in seqan3::field::bpp; must satisfy std::numeric_limits::is_integer.
using | bpp_queue
| A container template representing a set of interactions of type bpp_item, which are (comparable) tuples of bpp_prob and bpp_partner; must satisfy seqan3::container and must provide a std::emplace(bpp_prob, bpp_partner) function.
using | bpp_container
| Type template of the seqan3::field::bpp, a container template over a set (bpp_queue) of interactions; must satisfy seqan3::sequence_container.
using | structure_alphabet
| Alphabet of the characters for the seqan3::field::structure; must satisfy seqan3::rna_structure_alphabet.
using | structure_container
| Type template of the seqan3::field::structure, a container template over structure_alphabet; must satisfy seqan3::sequence_container.
using | energy_type
| Type template of the seqan3::field::energy; must be std::optional of a type satisfying std::is_floating_point.
using | react_type
| Data type for the reactivity and reactivity error in seqan3::field::react and seqan3::field::react_err, respectively; must satisfy std::is_floating_point.
using | react_container
| Type template of the seqan3::field::react and seqan3::field::react_err, a container template over react_type; must satisfy seqan3::sequence_container.
using | comment_alphabet
| Alphabet of the characters for the seqan3::field::comment; must satisfy seqan3::alphabet.
using | comment_container
| Type template of the seqan3::field::comment, a container template over comment_alphabet; must satisfy seqan3::sequence_container.
using | offset_type
| Type template of the seqan3::field::offset; must statisfy std::numeric_limits::is_integer.

## Detailed Description

A traits type that specifies input as amino acids.

The documentation for this struct was generated from the following file:

- structure_file/input.hpp

Hide me